> For the complete documentation index, see [llms.txt](https://docs.hedge.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hedge.video/offshoot/features/automation/examples/automated-transfers.md).

# Auto-start Transfers

This AppleScript uses OffShoot's [Disk Added](https://docs.hedge.video/offshoot/features/automation/scripts/events/disk-added.md) event to automatically start a transfer through the OffShoot API.

### How to use

1. Open the script and edit the settings.
2. Add the script to the [Disk Added](https://docs.hedge.video/offshoot/features/automation/scripts/events/disk-added.md) event in OffShoot's `Settings > Scripting` pane.
3. When a disk is added to OffShoot, the script will check the Volume name.
   * If the volume name **contains** `theExpectedVolumeName` the disk is set as Source and transferred to `theDestinationPath`.
   * If the volume name **begins** with the first character of `theExpectedVolumeParts` AND if the volume name **contains** the last character of `theExpectedVolumeParts` the disk is set as Source and transferred to `theDestinationPath`.

{% hint style="info" %}
This script works best when you disable OffShoot's Auto Source and Remember Destination settings in OffShoot > Settings > General.
{% endhint %}

### Settings

```
set theExpectedVolumeName to {"UNTITLED", "CANON"}
set theExpectedVolumeParts to {"A_", "B_"} -- will check if volume name STARTSWITH 'A' and CONTAINS '_'
set theDestinationPath to ""
set theLabel to ""
set theFolderFormat to "${DISKTITLE}"
```

### Download

{% file src="/files/-Me46iPh5H1x3dHXLMBc" %}
Automated OffShoot Transfer Script
{% endfile %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hedge.video/offshoot/features/automation/examples/automated-transfers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
